package cn.iocoder.yudao.module.pms.service.yanfan.product;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.pms.controller.admin.yanfan.product.vo.ChangeProductStatusModel;
import cn.iocoder.yudao.module.pms.controller.admin.yanfan.product.vo.IotYfProductPageReqVO;
import cn.iocoder.yudao.module.pms.controller.admin.yanfan.product.vo.IotYfProductRespVO;
import cn.iocoder.yudao.module.pms.controller.admin.yanfan.product.vo.IotYfProductSaveReqVO;
import cn.iocoder.yudao.module.pms.dal.dataobject.yanfan.product.IotYfProductDO;
import liquibase.pro.packaged.Y;

import javax.validation.Valid;

/**
 * 产品 Service 接口
 *
 * @author 超级管理员
 */
public interface IotYfProductService {
    IotYfProductDO getProductBySerialNumber(String serialNumber);
    String selectImgUrlByProductId(Long productId);
    void deleteProductByProductIds(Long[] productIds);
    void changeProductStatus(ChangeProductStatusModel model);
    String httplogin(String username, String password,String rul);
    /**
     * 创建产品
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createIotProduct(@Valid IotYfProductSaveReqVO createReqVO);

    /**
     * 更新产品
     *
     * @param updateReqVO 更新信息
     */
    void updateIotProduct(@Valid IotYfProductSaveReqVO updateReqVO);

    /**
     * 删除产品
     *
     * @param id 编号
     */
    void deleteIotProduct(Long id);

    /**
     * 获得产品
     *
     * @param id 编号
     * @return 产品
     */
    IotYfProductRespVO getIotProduct(Long id);

    /**
     * 获得产品分页
     *
     * @param pageReqVO 分页查询
     * @return 产品分页
     */
    PageResult<IotYfProductDO> getIotProductPage(IotYfProductPageReqVO pageReqVO);

}
